Subject: [nvo3] triggering discussions on the multicast draft

From: ramki Krishnan <[email-masked]>
Date: Sat, 30 Aug 2014 16:37:22 -0700

Dear All,

We would like to kick start discussions on the multicast draft - https://datatracker.ietf.org/doc/draft-ghanwani-nvo3-app-mcast-framework/

>From Section 3.2 "Replication at the source NVE"
>> When a VPN client has multiple multicast groups, [RFC6513]
     "Multicast VPN" combines all those multicast groups within each
     VPN client to one single multicast group in the MPLS (or VPN)
     core.  End result:  All messages from any multicast groups
     belonging to one VPN client will reach all the PE nodes of the
     client. I.e. any messages belonging to any multicast groups under
     Client XX will reach all PEs of the Client XX. When the Client XX
     only has a handful of PEs, there is not too much bandwidth wasted
     in the core.
One way to address this issue is to use replication at source NVE which will make sure that the multicast traffic will get delivered only to those NVEs where there are members; multicast groups don't get combined in any way. Are there other ways of addressing this issue? Comments on this topic or other comments on the draft would be much appreciated.
Thanks,
Ramki

---

From: Dino Farinacci <[email-masked]>
Date: Sat, 30 Aug 2014 16:45:51 -0700

You should look at the extensive multicast work done in the LISP WG. 

Dino

> On Aug 30, 2014, at 4:37 PM, ramki Krishnan <[email-masked]> wrote:
> 
> Dear All,
>  
> From Section 3.2 “Replication at the source NVE”
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3

---

From: Mark ZZZ Smith <[email-masked]>
Date: Sat, 30 Aug 2014 19:22:02 -0700

>________________________________
> From: ramki Krishnan <[email-masked]>
>To: "[email-masked]" <[email-masked]> 
>Cc: "[email-masked]" <[email-masked]> 
>Sent: Sunday, 31 August 2014 9:37 AM
>Subject: [nvo3] triggering discussions on the multicast draft
> 
>
>
>Dear All,
> 

I propose per-VN multicast groups across an IPv6 underlay network to avoid VNs sharing a single multicast group across the underlay network:

http://tools.ietf.org/html/draft-smith-enhance-vne-with-ipv6-05

---

From: Haoweiguo <[email-masked]>
Date: Mon, 1 Sep 2014 03:31:28 +0000

Hi Ramki,

Pls see my comments inline with [weiguo].

Thanks

weiguo

________________________________
发件人: ramki Krishnan [[email-masked]]
发送时间: 2014年8月31日 7:37
收件人: [email-masked]
抄送: [email-masked]
主题: [nvo3] triggering discussions on the multicast draft

Dear All,

[weiguo]: Besides your suggested head-end replication at source NVE , there are other common solution can address the above problem.
1. Each multicast group in a VPN client maps to a single multicast group in the MPLS(or VPN) core, rather than all multicast groups in a VPN client mapping to a single public multicast group. This solution maybe rely on centralized controller to map(or allocate) a public multicast group for each private multicast group in a VPN client. Through SDN controller, the mapping between public and private multicast group can be consistent on each PE. Otherwise, if each PE allocates public multicast group for each private multicast group locally, different PEs cann't have same mapping result and will incur multicast traffic forwarding problem on core network.
2. Centralized replication can be used to enhance efficiency and scalability of head-end replication at source PE. The solution is described in section3.3 in the draft.

Thanks,
Ramki